import QtQuick
import QtQuick.Controls 6.4
import QtQuick.Layouts


Item {
    id: header

    ColumnLayout {
        anchors.fill: parent
        Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter

        Item {
            id: item2
            width: 200
            height: 200
            Layout.preferredHeight: 10
            Layout.fillWidth: true
        }

        Label {
            id: infoHeader
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            horizontalAlignment: "AlignHCenter"
            text: qsTr("Connect to Qt Design Studio:
                        \n1. Copy the Local IP.
                        \n2. Open the project in Qt Design Studio (4.4 or later).
                        \n3. Select File -> Deploy Project to Android.
                        \n4. Paste the Local IP to Device IP.
                        \n5. Select Connect.
                        \n6. Select Send Project.")
        }

        Label {
            id: statusLabel
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            horizontalAlignment: "AlignHCenter"
            text: "Waiting for backend to be initialized..."
            Connections {
                target: backend
                function onNetworkUpdated(newStatus){
                    statusLabel.text = newStatus
                }
            }
        }

        Item {
            id: item3
            width: 200
            height: 200
            Layout.preferredHeight: 10
            Layout.fillWidth: true
        }
    }
}
